<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/serverinfo/expansionbookmenutabserverinfosettingcategory.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d2a/a00632_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabserverinfosettingcategory.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d2a/a00632.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabServerInfoSettingCategory.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d32/a04057.html">ExpansionBookMenuTabServerInfoSettingCategory</a>: <a class="code hl_class" href="../../d3/d45/a05057.html">ExpansionScriptView</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a0906b5590a570e2db9ba666147e52939">   15</a></span>    ref <a class="code hl_class" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a> <a class="code hl_variable" href="../../dc/d32/a04057.html#a0906b5590a570e2db9ba666147e52939">m_ServerInfoTab</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">   16</a></span>    ref <a class="code hl_class" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a> <a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">   18</a></span>    <span class="keyword">private</span> ImageWidget <a class="code hl_variable" href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">setting_entry_icon</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">   19</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">setting_entry_button</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">   20</a></span>    <span class="keyword">private</span> TextWidget <a class="code hl_variable" href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">setting_entry_label</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">   22</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">m_Setting</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">   24</a></span>    WrapSpacerWidget <a class="code hl_variable" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">settings_content</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a221a068002f83bf877b658dce4fd1522">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d32/a04057.html#a221a068002f83bf877b658dce4fd1522">ExpansionBookMenuTabServerInfoSettingCategory</a>(<a class="code hl_class" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a> tab, <span class="keywordtype">string</span> setting)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../dc/d32/a04057.html#a0906b5590a570e2db9ba666147e52939">m_ServerInfoTab</a> = tab;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">m_Setting</a> = setting;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a>)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a> = <a class="code hl_class" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a>.Cast(GetController());</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../dc/d32/a04057.html#a882b60de2dded52187c0e69f949f168d">SetView</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a882b60de2dded52187c0e69f949f168d">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d32/a04057.html#a882b60de2dded52187c0e69f949f168d">SetView</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a>.<a class="code hl_variable" href="../../d7/dfc/a04061.html#a66095790f9526af1ffcbffa2957a2bcb">SettingName</a> = <a class="code hl_variable" href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">m_Setting</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;SettingName&quot;</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#aeee092384434909115c14b842f37ecf4">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d32/a04057.html#aeee092384434909115c14b842f37ecf4">GetLayoutFile</a>() </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/serverinfo/expansion_book_tab_serverinfo_setting_category.layout&quot;</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#af1d785f3e8de36cd9f5f6965edb9db84">   48</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../dc/d32/a04057.html#af1d785f3e8de36cd9f5f6965edb9db84">GetControllerType</a>() </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a016883f66167c39202b5c4e506f29f81">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d32/a04057.html#a016883f66167c39202b5c4e506f29f81">OnEntryButtonClick</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">settings_content</a>.IsVisible())</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">settings_content</a>.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">settings_content</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#af23371c1cfab19218b06c0e2bf03bc95">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d32/a04057.html#af23371c1cfab19218b06c0e2bf03bc95">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">setting_entry_button</a>:</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">setting_entry_icon</a>.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">setting_entry_label</a>.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#aa68f08500e4a03aceae04169fe26dbb8">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d32/a04057.html#aa68f08500e4a03aceae04169fe26dbb8">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">setting_entry_button</a>:</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">setting_entry_icon</a>.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">setting_entry_label</a>.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../dc/d32/a04057.html#a8c1a4858739ddab61df26bdceb3e73cc">   91</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d32/a04057.html#a8c1a4858739ddab61df26bdceb3e73cc">AddSetting</a>(<a class="code hl_class" href="../../db/dfa/a04049.html">ExpansionBookMenuTabServerInfoSetting</a> setting)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_variable" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a>.<a class="code hl_variable" href="../../d7/dfc/a04061.html#a9c5a7e1a8f7f9e7d9b010570e33ca249">Settings</a>.Insert(setting);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>};</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d7/dfc/a04061.html">   97</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a>: <a class="code hl_class" href="../../db/d49/a04289.html">ExpansionViewController</a></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>{</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/dfc/a04061.html#a66095790f9526af1ffcbffa2957a2bcb">   99</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/dfc/a04061.html#a66095790f9526af1ffcbffa2957a2bcb">SettingName</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d7/dfc/a04061.html#a8a05056d9a84683ebacbf9fa9f296c5d">  100</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/dfc/a04061.html#a8a05056d9a84683ebacbf9fa9f296c5d">SettingBackground</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d7/dfc/a04061.html#a9c5a7e1a8f7f9e7d9b010570e33ca249">  102</a></span>    ref ObservableCollection&lt;ref ExpansionBookMenuTabServerInfoSetting&gt; <a class="code hl_variable" href="../../d7/dfc/a04061.html#a9c5a7e1a8f7f9e7d9b010570e33ca249">Settings</a> = <span class="keyword">new</span> ObservableCollection&lt;ref ExpansionBookMenuTabServerInfoSetting&gt;(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>};</div>
<div class="ttc" id="aa04025_html"><div class="ttname"><a href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4d/a00620_source.html#l00013">expansionbookmenutabserverinfo.c:14</a></div></div>
<div class="ttc" id="aa04049_html"><div class="ttname"><a href="../../db/dfa/a04049.html">ExpansionBookMenuTabServerInfoSetting</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd1/a00629_source.html#l00013">expansionbookmenutabserverinfosetting.c:14</a></div></div>
<div class="ttc" id="aa04057_html"><div class="ttname"><a href="../../dc/d32/a04057.html">ExpansionBookMenuTabServerInfoSettingCategory</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00013">expansionbookmenutabserverinfosettingcategory.c:14</a></div></div>
<div class="ttc" id="aa04057_html_a016883f66167c39202b5c4e506f29f81"><div class="ttname"><a href="../../dc/d32/a04057.html#a016883f66167c39202b5c4e506f29f81">ExpansionBookMenuTabServerInfoSettingCategory::OnEntryButtonClick</a></div><div class="ttdeci">void OnEntryButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00053">expansionbookmenutabserverinfosettingcategory.c:53</a></div></div>
<div class="ttc" id="aa04057_html_a0906b5590a570e2db9ba666147e52939"><div class="ttname"><a href="../../dc/d32/a04057.html#a0906b5590a570e2db9ba666147e52939">ExpansionBookMenuTabServerInfoSettingCategory::m_ServerInfoTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabServerInfo m_ServerInfoTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00015">expansionbookmenutabserverinfosettingcategory.c:15</a></div></div>
<div class="ttc" id="aa04057_html_a221a068002f83bf877b658dce4fd1522"><div class="ttname"><a href="../../dc/d32/a04057.html#a221a068002f83bf877b658dce4fd1522">ExpansionBookMenuTabServerInfoSettingCategory::ExpansionBookMenuTabServerInfoSettingCategory</a></div><div class="ttdeci">void ExpansionBookMenuTabServerInfoSettingCategory(ExpansionBookMenuTabServerInfo tab, string setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00026">expansionbookmenutabserverinfosettingcategory.c:26</a></div></div>
<div class="ttc" id="aa04057_html_a682524c5fdaf0258e197abffb1593adc"><div class="ttname"><a href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">ExpansionBookMenuTabServerInfoSettingCategory::settings_content</a></div><div class="ttdeci">WrapSpacerWidget settings_content</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00024">expansionbookmenutabserverinfosettingcategory.c:24</a></div></div>
<div class="ttc" id="aa04057_html_a6e0ff967b6d553b513ac9b94feeadfce"><div class="ttname"><a href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">ExpansionBookMenuTabServerInfoSettingCategory::m_SettingCategoryController</a></div><div class="ttdeci">ref ExpansionBookMenuTabServerInfoSettingCategoryController m_SettingCategoryController</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00016">expansionbookmenutabserverinfosettingcategory.c:16</a></div></div>
<div class="ttc" id="aa04057_html_a76010b155f4bd7b73bd51d3e06eeadc1"><div class="ttname"><a href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_label</a></div><div class="ttdeci">private TextWidget setting_entry_label</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00020">expansionbookmenutabserverinfosettingcategory.c:20</a></div></div>
<div class="ttc" id="aa04057_html_a882b60de2dded52187c0e69f949f168d"><div class="ttname"><a href="../../dc/d32/a04057.html#a882b60de2dded52187c0e69f949f168d">ExpansionBookMenuTabServerInfoSettingCategory::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00037">expansionbookmenutabserverinfosettingcategory.c:37</a></div></div>
<div class="ttc" id="aa04057_html_a8b40493bc06b4b330c646340e987e481"><div class="ttname"><a href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_icon</a></div><div class="ttdeci">private ImageWidget setting_entry_icon</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00018">expansionbookmenutabserverinfosettingcategory.c:18</a></div></div>
<div class="ttc" id="aa04057_html_a8c1a4858739ddab61df26bdceb3e73cc"><div class="ttname"><a href="../../dc/d32/a04057.html#a8c1a4858739ddab61df26bdceb3e73cc">ExpansionBookMenuTabServerInfoSettingCategory::AddSetting</a></div><div class="ttdeci">void AddSetting(ExpansionBookMenuTabServerInfoSetting setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00091">expansionbookmenutabserverinfosettingcategory.c:91</a></div></div>
<div class="ttc" id="aa04057_html_aa68f08500e4a03aceae04169fe26dbb8"><div class="ttname"><a href="../../dc/d32/a04057.html#aa68f08500e4a03aceae04169fe26dbb8">ExpansionBookMenuTabServerInfoSettingCategory::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00078">expansionbookmenutabserverinfosettingcategory.c:78</a></div></div>
<div class="ttc" id="aa04057_html_ac90b26d24aaf41035ada8cae1317555c"><div class="ttname"><a href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_button</a></div><div class="ttdeci">private ButtonWidget setting_entry_button</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00019">expansionbookmenutabserverinfosettingcategory.c:19</a></div></div>
<div class="ttc" id="aa04057_html_acfe16bdeecc8bce1c898f5b3593deee1"><div class="ttname"><a href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">ExpansionBookMenuTabServerInfoSettingCategory::m_Setting</a></div><div class="ttdeci">string m_Setting</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00022">expansionbookmenutabserverinfosettingcategory.c:22</a></div></div>
<div class="ttc" id="aa04057_html_aeee092384434909115c14b842f37ecf4"><div class="ttname"><a href="../../dc/d32/a04057.html#aeee092384434909115c14b842f37ecf4">ExpansionBookMenuTabServerInfoSettingCategory::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00043">expansionbookmenutabserverinfosettingcategory.c:43</a></div></div>
<div class="ttc" id="aa04057_html_af1d785f3e8de36cd9f5f6965edb9db84"><div class="ttname"><a href="../../dc/d32/a04057.html#af1d785f3e8de36cd9f5f6965edb9db84">ExpansionBookMenuTabServerInfoSettingCategory::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00048">expansionbookmenutabserverinfosettingcategory.c:48</a></div></div>
<div class="ttc" id="aa04057_html_af23371c1cfab19218b06c0e2bf03bc95"><div class="ttname"><a href="../../dc/d32/a04057.html#af23371c1cfab19218b06c0e2bf03bc95">ExpansionBookMenuTabServerInfoSettingCategory::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00065">expansionbookmenutabserverinfosettingcategory.c:65</a></div></div>
<div class="ttc" id="aa04061_html"><div class="ttname"><a href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00097">expansionbookmenutabserverinfosettingcategory.c:98</a></div></div>
<div class="ttc" id="aa04061_html_a66095790f9526af1ffcbffa2957a2bcb"><div class="ttname"><a href="../../d7/dfc/a04061.html#a66095790f9526af1ffcbffa2957a2bcb">ExpansionBookMenuTabServerInfoSettingCategoryController::SettingName</a></div><div class="ttdeci">string SettingName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00099">expansionbookmenutabserverinfosettingcategory.c:99</a></div></div>
<div class="ttc" id="aa04061_html_a8a05056d9a84683ebacbf9fa9f296c5d"><div class="ttname"><a href="../../d7/dfc/a04061.html#a8a05056d9a84683ebacbf9fa9f296c5d">ExpansionBookMenuTabServerInfoSettingCategoryController::SettingBackground</a></div><div class="ttdeci">string SettingBackground</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00100">expansionbookmenutabserverinfosettingcategory.c:100</a></div></div>
<div class="ttc" id="aa04061_html_a9c5a7e1a8f7f9e7d9b010570e33ca249"><div class="ttname"><a href="../../d7/dfc/a04061.html#a9c5a7e1a8f7f9e7d9b010570e33ca249">ExpansionBookMenuTabServerInfoSettingCategoryController::Settings</a></div><div class="ttdeci">ref ObservableCollection&lt; ref ExpansionBookMenuTabServerInfoSetting &gt; Settings</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00102">expansionbookmenutabserverinfosettingcategory.c:102</a></div></div>
<div class="ttc" id="aa04289_html"><div class="ttname"><a href="../../db/d49/a04289.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db6/a08775_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05057_html"><div class="ttname"><a href="../../d3/d45/a05057.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00013">expansionscriptview.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_ff4c18de1031e31c1cd9f84f806d630a.html">serverinfo</a></li><li class="navelem"><a class="el" href="../../d4/d2a/a00632.html">expansionbookmenutabserverinfosettingcategory.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
